<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('menus', function (Blueprint $table) {
              $table->bigIncrements('menu_id');
            $table->string('menu_name');
            $table->string('root');
            $table->string('menu_icon');
            $table->tinyInteger('active');
            $table->string('sp',300)->nullable();
            $table->string('column_heading',100)->nullable();
            $table->string('column_width',100)->nullable();
            $table->string('column_alighn',100)->nullable();
            $table->string('column_conversion',100)->nullable();
           
            $table->string('sp_date_picker',100)->nullable();




            
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('menus');
    }
};
